### Function

# EDataBook DataBook string_slist_to_comma_string

since: 3.2

#### Declaration [src]

    gchar*
    e_data_book_string_slist_to_comma_string (
      const GSList* strings
    )

#### Description [src]

Takes a list of strings and converts it to a comma-separated string of values; free returned pointer with g_free().

Available since: 3.2

#### Parameters

`strings`

  Type: A list of `utf8`

  A list of gchar *.

  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Comma-separated newly allocated text of `strings`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.